@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap');

:root {
    --background: #161616;
    --secondary: #4E4E4E;
    --tertiary: #2D2D2D;
    --blue: #346CFC;
    --red: #F8312F;
    --white: #F8F8F8;
    --unit: 1.25rem;
}

* {
    box-sizing: border-box;
    user-select: none;
}

h1, h2, h3, h4, h5, h6, p {
    margin: 0;
    cursor: default;
}

h1 {
    font-size: 3.75em;
    text-align: center;
}

body {
    margin: 0;
    font-family: 'Inter', sans-serif;
    background-color: var(--background);
    color: var(--white);
    width: 100dvw;
    height: 100dvh;
    display: flex;
    justify-content: center;
}

.container {
    width: 90%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: var(--unit);
}

.opponent-selector {
    font-size: 1.5em;
    display: flex;
    flex-flow: row;
    gap: var(--unit);
    width: 100%;
    height: 6rem;
    transition: .5s;
}

.opponent-selector.grow {
    height: 22.5rem;
}

.opponent {
    flex: 1 1 0;
    border: .25rem solid var(--white);
    border-radius: .5rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    overflow: hidden;
    transition: .25s;
}

.opponent-selector div.active {
    border: .25rem solid var(--blue);
    background-color: rgb(51, 108, 252, 0.1);
}

.opponent-selector div.inactive {
    border-color: var(--secondary);
    color: var(--secondary);
    cursor: unset;
}

.opponent-selector.selectable .opponent:hover {
    background-color: rgba(247, 247, 247, 0.05);
    cursor: pointer;
}

.opponent.inactive#player:hover {
    cursor: auto;
}

.opponent-selector.selectable div.active:hover  {
    background-color: rgb(51, 108, 252, 0.1);
}

.tooltiptext {
    white-space: nowrap;
    visibility: hidden;
    opacity: 0;
    transform: translate(0, -5px)
    scale3d(.5,.5,1);
    margin-top: -1rem;
    background-color: var(--white);
    font-weight: 400;
    font-size: 1rem;
    color: var(--background);
    text-align: center;
    border-radius: 4px;
    padding: 4px 8px;
    position: absolute;
    z-index: 3;
    transition-duration: .2s;
    cursor: default;
}

.tooltip:hover .tooltiptext {
    transform: translate(0, 0)
    scale3d(1,1,1);
    opacity: 1;
    visibility: visible;
}

.round-header {
    font-size: 1.5em;
    display: flex;
    width: 100%;
    gap: calc(var(--unit) * .5);
}

.round-header > div {
    border-radius: .5rem;
    padding: .625rem 1.25rem;
}

#round {
    border: .125rem solid var(--tertiary);
    font-weight: bold;
    min-width: 10.25rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#roundMessage {
    flex: 1 1 0;
    border: .125rem solid var(--tertiary);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.scoreboard {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 5.5rem;
    gap: 0.75rem;
    z-index: -1;
}

.player-shape {
    padding: 1.25rem;
    width: 75%;
}

.player-shape img {
    width: 100%;
    opacity: 1;
    transition: .25s;
    position: relative;
    transform: translateY(0rem);
    filter: drop-shadow(0px 3px 5px #161616);
}

.player-shape img.fade {
    opacity: 0;
    transform: translateY(1rem);
}

#player1Selection.rockWin {
    animation-name: p1RockWin;
    animation-duration: 1.5s;
    transition: unset;
    z-index: 2;
}

#player1Selection.paperWin {
    animation-name: p1WinPaper;
    animation-duration: .25s;
    transition: unset;
    animation-delay: .25s;
    animation-iteration-count: 4;
    z-index: 2;
}

#player1Selection.scissorsWin {
    animation-name: p1WinScissors;
    animation-duration: 1.25s;
    transition: unset;
    z-index: 2;
}

@keyframes p1RockWin {
    from { transform: translate(0rem, 0) rotate(0deg); }
    15%  { transform: translate(-.5rem, .5rem) rotate(-5deg); }
    45%  { transform: translate(8rem, -8rem) rotate(15deg) scale(120%); }
    70%  { transform: translate(14rem, 0) rotate(25deg); }
    to   { transform: translate(0rem, 0) rotate(0deg); }
}

@keyframes p1WinPaper {
    from { transform: translate(0rem, 0); }
    30%  { transform: translate(-1.5rem, .5rem) rotate(5deg); }
    to   { transform: translate(20rem, 0) scale(70%); opacity: 0; }
}

@keyframes p1WinScissors {
    from { transform: translate(0, 0); }
    2.5%   { transform: translate(-.25rem, 0) rotate(-6.25deg); }
    5%   { transform: translate(-.5rem, 0) rotate(-26.25deg); }
    7.5%   { transform: translate(-.75rem, 0) rotate(-12.25deg); }
    10%  { transform: translate(-1rem, 0) rotate(-33.5deg); }
    12.5%  { transform: translate(-1.25rem, 0) rotate(-20.75deg); }
    15%  { transform: translate(-1.5rem, 0) rotate(-38.75deg); }
    17.5%  { transform: translate(-1.75rem, 0) rotate(-24.75deg); }
    20%  { transform: translate(-2rem, 0) rotate(-45deg); }
    22.5%  { transform: translate(-2.25rem, 0) rotate(-30deg); }
    25%  { transform: translate(-2.5rem, 0) rotate(-46.25deg); }
    27.5%  { transform: translate(-2.75rem, 0) rotate(-38.25deg); }
    30%  { transform: translate(-3rem, 0) rotate(-57.5deg); }
    32.5%  { transform: translate(-3.25rem, 0) rotate(-47.5deg); }
    35%  { transform: translate(-3.5rem, 0) rotate(-83.75deg); }
    37.5%  { transform: translate(-3.75rem, 0) rotate(-72.75deg); }
    40%  { transform: translate(-4rem, 0) rotate(-80deg); }
    50%  { transform: translate(-5rem, 0) rotate(-90deg); }
    60%  { opacity: 100%; }
    80%  { transform: translate(20rem, 0) rotate(-90deg); opacity: 0; }
    81%  { transform: translate(0, 0); opacity: 0; }
    to   { transform: translate(0, 0); opacity: 100%; }
}

#player2Selection.rockWin {
    animation-name: p2WinRock;
    animation-duration: 1.5s;
    transition: unset;
}

#player2Selection.paperWin {
    animation-name: p2WinPaper;
    animation-duration: .25s;
    transition: unset;
    animation-delay: .25s;
    animation-iteration-count: 4;
}

#player2Selection.scissorsWin {
    animation-name: p2WinScissors;
    animation-duration: 1.25s;
    transition: unset;
}

@keyframes p2WinRock {
    from { transform: translate(0rem, 0) rotate(0deg); }
    15%  { transform: translate(.5rem, .5rem) rotate(5deg); }
    45%  { transform: translate(-8rem, -8rem) rotate(-15deg) scale(120%); }
    70%  { transform: translate(-14rem, 0) rotate(-25deg); }
    to   { transform: translate(0rem, 0) rotate(0deg); }
}

@keyframes p2WinPaper {
    from { transform: translate(0rem, 0); }
    30%  { transform: translate(1.5rem, .5rem) rotate(-5deg); }
    to   { transform: translate(-20rem, 0) scale(70%); opacity: 0; }
}

@keyframes p2WinScissors {
    from { transform: translate(0, 0); }
    2.5%   { transform: translate(.25rem, 0) rotate(6.25deg); }
    5%   { transform: translate(.5rem, 0) rotate(26.25deg); }
    7.5%   { transform: translate(.75rem, 0) rotate(12.25deg); }
    10%  { transform: translate(1rem, 0) rotate(33.5deg); }
    12.5%  { transform: translate(1.25rem, 0) rotate(20.75deg); }
    15%  { transform: translate(1.5rem, 0) rotate(38.75deg); }
    17.5%  { transform: translate(1.75rem, 0) rotate(24.75deg); }
    20%  { transform: translate(2rem, 0) rotate(45deg); }
    22.5%  { transform: translate(2.25rem, 0) rotate(30deg); }
    25%  { transform: translate(2.5rem, 0) rotate(46.25deg); }
    27.5%  { transform: translate(2.75rem, 0) rotate(38.25deg); }
    30%  { transform: translate(3rem, 0) rotate(57.5deg); }
    32.5%  { transform: translate(3.25rem, 0) rotate(47.5deg); }
    35%  { transform: translate(3.5rem, 0) rotate(83.75deg); }
    37.5%  { transform: translate(3.75rem, 0) rotate(72.75deg); }
    40%  { transform: translate(4rem, 0) rotate(80deg); }
    50%  { transform: translate(5rem, 0) rotate(90deg); }
    60%  { opacity: 100%; }
    80%  { transform: translate(-20rem, 0) rotate(90deg); opacity: 0; }
    81%  { transform: translate(0, 0); opacity: 0; }
    to   { transform: translate(0, 0); opacity: 100%; }
}

/* @keyframes p2WinScissors {
    from { transform: translate(0, 0); }
    5%   { transform: translate(.5rem, 0) rotate(11.25deg); }
    10%  { transform: translate(1rem, 0) rotate(22.5deg); }
    15%  { transform: translate(1.5rem, 0) rotate(33.75deg); }
    20%  { transform: translate(2rem, 0) rotate(45deg); }
    25%  { transform: translate(2.5rem, 0) rotate(56.25deg); }
    30%  { transform: translate(3rem, 0) rotate(67.5deg); }
    35%  { transform: translate(3.5rem, 0) rotate(78.75deg); }
    40%  { transform: translate(4rem, 0) rotate(90deg); }
    60%  { opacity: 100%; }
    80%  { transform: translate(-20rem, 0) rotate(90deg); opacity: 0; }
    81%  { transform: translate(0, 0); opacity: 0; }
    to   { transform: translate(0, 0); opacity: 100%; }
} */

.icon {
    height: 1.6em;
    filter: invert(100%) sepia(75%) saturate(111%) hue-rotate(221deg) brightness(116%) contrast(95%);
}

.opponent.inactive .icon {
    filter: invert(29%) sepia(0%) saturate(0%) hue-rotate(147deg) brightness(95%) contrast(88%);
}

hr {
    border: 1px solid var(--tertiary);
    width: 75%;
    margin: 0;
}

.shape-selector {
    display: flex;
    gap: var(--unit);
    width: 100%;
}

.shape-selector div {
    flex: 1 1 0;
    height: auto;
    aspect-ratio: 1 / 1;
    border: .25rem solid var(--white);
    border-radius: .5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    cursor: pointer;
}

.shape-selector div:hover {
    background-color: rgba(247, 247, 247, 0.05);
}

.shape-selector div:active {
    transform: scale(.95);
}

.shape-selector div img {
    height: 8rem;
    height: 61.8%;
    z-index: -1;
}

.score-display {
    display: flex;
    height: 3rem;
    gap: .25rem;
    align-items: center;
}

.score {
    display: flex;
    align-items: center;
    height: 5.5rem;
}

.tick {
    flex: 1 1 0;
    height: 100%;
    width: 1rem;
    max-width: 1rem;
    border-radius: .25rem;
    background-color: var(--secondary);
    transition: .5s;
}

#computerScore .score-display > .tick.point {
    background-color: var(--red);
}

#playerScore .score-display > .tick.point {
    background-color: var(--blue);
}

.slider {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: .25rem;
    border-radius: .25rem;  
    background: var(--white);
    outline: none;
}
  
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 1.25rem;
    height: 1.25rem;
    border-radius: 50%; 
    background: var(--blue);
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 1.25rem;
    height: 1.25rem;
    border-radius: 50%;
    background: var(--blue);
    cursor: pointer;
}

button {
    position: absolute;
    top: 50%;
    background-color: var(--background);
    border: 4px solid var(--blue);
    color: var(--white);
    padding: 2rem 4rem;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: .5rem;
    cursor: pointer;
    font-size: 2.5rem;
    box-shadow: 0 6px 12px var(--background);
    transition: .25s;
    opacity: 1;
}

button.fade {
    opacity: 0;
}

button:hover {
    background-color: var(--blue);
    transform: scale(1.05);
    color: var(--background);
}

button:active {
    transform: scale(.95);
}

@media (width < 600px)  {
    :root {
        --unit: .875rem;
    }
    body {
        font-size: 12px;
    }
    h1 {
        font-size: 9vw;
    }
    .round-header {
        order: 1;
        gap: calc(var(--unit) * .8);
    }
    #round {
        min-width: 9.25rem;
    }
    .opponent-selector {
        height: 4.2rem;
    }
    .scoreboard {
        height: 4rem;
    }
    .score {
        height: 4rem;
    }
    .score-display {
        gap: 3px;
    }
    .tick {
        height: 70%;
        width: .625rem;
        border-radius: .2rem;
    }
    .opponent {
        border: .125rem solid var(--white);
    }
    .opponent-selector div.active {
        border: .125rem solid var(--blue);
    }
    .shape-selector div {
        border: .125rem solid var(--white);
    }
}